跳转到主要内容
资源中心/网络服务/网络服务相关接口/虚拟IP相关接口
GETVIP Operations起始版本 2.2同步需要认证

获取虚拟IP所有业务端口列表

获取虚拟IP所有业务端口列表

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • uuidString必填

    资源的UUID,唯一标识该资源。

  • protocolString必填

    协议

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标识该资源。

    • protcolString必填

      暂无描述。

    • usedPortsList必填

      暂无描述。

请求地址

GET/zstack/v1/vips/{uuid}/usedports

/zstack/v1/vips/{uuid}/usedports

操作 ID

GetVipUsedPorts

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/vips/{uuid}/usedports?uuid=<uuid>&protocol=<protocol>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "4f5f926580f4452a897b05b8f99e67ec", "protcol": "TCP", "usedPorts": [ "100", "200", "201", "202", "204", "1000" ] } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史